import { Generated, Insertable, Selectable, Updateable } from 'kysely'

export interface TodosTable {
  id: Generated<number>
  title: string
  desc: string
}

export type Todo = Selectable<TodosTable>
export type NewTodo = Insertable<TodosTable>
export type TodoUpdate = Updateable<TodosTable>
